Bug 106539 - Headers/footers cut off in this XLS/XLSX when exported to PDF/printed
Summary: Headers/footers cut off in this XLS/XLSX when exported to PDF/printed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2017-03-14 19:38 UTC by Aron Budea
Modified: 2018-07-02 02:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample XLS (25.00 KB, application/vnd.ms-excel)
2017-03-14 19:38 UTC, Aron Budea
Details
Sample XLSX (same as XLS) (8.34 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-03-14 19:38 UTC, Aron Budea
Details
Exported PDF (from Excel) (82.13 KB, application/pdf)
2017-03-14 19:40 UTC, Aron Budea
Details
Exported PDF (from Calc) (11.80 KB, application/pdf)
2017-03-14 19:40 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-03-14 19:38:16 UTC
Created attachment 131887 [details]
Sample XLS

See sample XLS and XLSX with specific margin and header/footer settings. When it's exported to PDF in Calc, part of the header and footer is cut off. Not sure if the margins make sense, but in Excel they are exported fine.

In Calc enabling AutoFit height in Format -> Page..., Header/Footer tab fixes the behavior, but also changes the value of height when the spreadsheet is saved.

Tested with LO 5.3.0.3 / Windows 7.
Comment 1 Aron Budea 2017-03-14 19:38:51 UTC
Created attachment 131888 [details]
Sample XLSX (same as XLS)
Comment 2 Aron Budea 2017-03-14 19:40:05 UTC
Created attachment 131889 [details]
Exported PDF (from Excel)
Comment 3 Aron Budea 2017-03-14 19:40:46 UTC
Created attachment 131890 [details]
Exported PDF (from Calc)
Comment 4 m.a.riosv 2017-03-14 23:42:27 UTC
It's visible on print preview, you don't need to export as pdf.

I don't understand, except LibreOffice doesn't import fine the 'Autofit' option, why it should be applied as if it was disable?,
what is then the purpose of the option?
Comment 5 Xisco Faulí 2017-03-15 01:35:31 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: d3b5bd4a07a619db6bee1c39c32280ac3c620532
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 m.a.riosv 2017-03-15 09:08:23 UTC
Sorry, sure I'm who is wrong, but I don't understand what is the bug?
Comment 7 Tor Lillqvist 2017-03-15 09:30:51 UTC
m.a.riosv: If Excel prints the .xls document in question (perhaps to PDF) without clipping the header and footer, so should LibreOffice.

There is a Real Paying Customer who complains about this.
Comment 8 m.a.riosv 2017-03-15 10:57:42 UTC
Has not excel 'Autofit' option?, if so, with it enable should work on both LibreOffice and Excel.

What about LibreOffice users having 'Autofit' disable just because it doesn't change the height?

How to know when LibreOffice are going to take care of it, maybe it should be eliminated as option. 

Or:
- Enable it by default on opening excel files, but who knows what other customer with excel files using the option disable can think about this change.
- Insert also the option enabled by default ,on export as pdf dialog, for excel files.

Introduce a bug to make some happy, perhaps breaking the work of others?

At the end I don't why I care about this matter, I only use it occasionally,
but I do not like to say yes to everything, against what I think.
Please think twice about how to solve it. :)
Comment 9 Tor Lillqvist 2017-03-15 11:16:36 UTC
xkcd 1172
Comment 10 Tor Lillqvist 2017-03-15 11:22:02 UTC
Anyway, the customer is happy with a workaround, so I am not working on this any more.
Comment 11 QA Administrators 2018-07-02 02:34:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug